GNU bug report logs - #53084
[PATCH 10/41] gnu: rust-rbw: adding rust-spki

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53077, #53078, #53079, #53080, #53081, #53082, #53083, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53114, #53115, #53116, #53117; dated Fri, 7 Jan 2022 14:04:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 14:03:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 09:03:24 2022
Received: from localhost ([127.0.0.1]:43423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5pq0-0005k4-8R
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:03:24 -0500
Received: from lists.gnu.org ([209.51.188.17]:51446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5ppy-0005jx-ML
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:03:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54822)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5ppy-0007Km-Ho
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:03:22 -0500
Received: from 4.mo582.mail-out.ovh.net ([87.98.184.159]:39945)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5ppt-0000TY-Oy
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:03:22 -0500
Received: from player168.ha.ovh.net (unknown [10.108.16.176])
 by mo582.mail-out.ovh.net (Postfix) with ESMTP id 993EF20CAA
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:03:15 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player168.ha.ovh.net (Postfix) with ESMTPSA id 22A0B260C7F3E
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:03:15 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-104R00563aeab8a-cdb3-4b98-8c97-bf5127cd0018,
 C5EFE81BC3FDA951DF58A4F1F033AF37FC7B5DFC) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 10/41] gnu: rust-rbw: adding rust-spki
Date: Fri, 07 Jan 2022 15:02:07 +0100
Message-ID: <87wnjbprry.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0011-rust-rbw-dependencies-adding-rust-spki.patch
X-Ovh-Tracer-Id: 5197998397672186618
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddgfeeiucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtgguseertdertddtredtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepudejteehgeeiffelveetueeguefgtdeikeefjeevffdtvddtgfffjedukeeuhedunecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrudeikedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=87.98.184.159; envelope-from=ngraves@HIDDEN;
 helo=4.mo582.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From 14fec412ef95b6850c57625ec69de955af3105f0 Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 02:29:50 +0100
Subject: [PATCH 11/42] rust-rbw dependencies : adding rust-spki

---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index e2cda73aba..00e1b3a30b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -51951,6 +51951,28 @@ (define-public rust-spirv-std-0.4
 SPIR-V.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-spki-0.4
+  (package
+    (name "rust-spki")
+    (version "0.4.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "spki" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0ckgkcg6db5y94dqhmyikgn8yrsah6pyf4j197hv1c51bp0s00aw"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t #:cargo-inputs (("rust-der" ,rust-der-0.4))))
+    (home-page "https://github.com/RustCrypto/formats/tree/master/spki")
+    (synopsis
+     "X.509 Subject Public Key Info (RFC5280) describing public keys ")
+    (description
+     "This package provides X.509 Subject Public Key Info (RFC5280)
+describing public keys as well as their associated AlgorithmIdentifiers (i.e.
+OIDs)")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-spmc-0.3
   (package
     (name "rust-spmc")
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53084; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.